inherit core-image

require users.inc

IMAGE_FEATURES += "package-management"

CORE_OS = " \
	busybox-initcfg \
	dropbear \
	psplash \
	tzdata \
"

KERNEL_EXTRA_INSTALL = " \
	kernel-modules \
"

WIFI_SUPPORT = " \
	wpa-supplicant \
"

EXTRA_TOOLS_INSTALL = " \
"

IMAGE_INSTALL += " \
	${CORE_OS} \
	${EXTRA_TOOLS_INSTALL} \
	${KERNEL_EXTRA_INSTALL} \
	${WIFI_SUPPORT} \
"

IMAGE_INSTALL_append_beaglebone-yocto = " linux-firmware-rtl8192cu"

disable_bootlogd() {
	echo BOOTLOGD_ENABLE=no > ${IMAGE_ROOTFS}/etc/default/bootlogd
}

ROOTFS_POSTPROCESS_COMMAND += " \
	disable_bootlogd ; \
"
